Subject: Re: [stable] [PATCH] e1000: add forgotten PCI ID for supported device

From: Greg KH <[email-masked]>
Date: Thu, 3 Aug 2006 00:17:42 -0700

On Fri, Jul 28, 2006 at 11:19:05PM -0400, John W. Linville wrote:
> On Fri, Jul 28, 2006 at 05:24:40PM -0700, Greg KH wrote:
> > On Fri, Jul 28, 2006 at 05:04:49PM -0700, Brandeburg, Jesse wrote:
> 
> > > The kernel driver advertises through our probe table and in our readme 
> > > that we support this device (code is in e1000_main.c) but we don't load on 
> > > it correctly due to an error when we submitted the patches (e1000_hw.c/h).
> > > 
> > > Patch is very simple and low risk, but it is your call.
> > 
> > Sorry, but for now, no.  Users should be able to use the sysfs bind and
> > new_id interface to add new device support for your driver, if it's
> > written properly :)
> 
> In this case it isn't an addition to the PCI ID table, but an actual
> added check in the code.  You could make the argument that it is a
> bug since the PCI ID table says the device is supported, but it won't
> work w/o this additional check.

Ok, fine, you all convinced me :)

Queued to -stable.

thanks,

greg k-h